libnjb 2.2.7

Functions
The time manipulation API

## Functions
njb_time_t * | NJB_Get_Time (njb_t *njb)
int | NJB_Set_Time (njb_t *njb, njb_time_t *time)
void | NJB_Destroy_Time (njb_time_t *time)

## Detailed Description

## Function Documentation

## ◆ NJB_Destroy_Time()

void NJB_Destroy_Time | ( | njb_time_t * | time | ) |

This destroys a time stamp and frees up any memory used by it.

Parameters

  time | the time stamp to destroy.

Examples:
  dumptime.c, and settime.c.

## ◆ NJB_Get_Time()

njb_time_t* NJB_Get_Time | ( | njb_t * | njb | ) |

This returns the current time stamp for the device.

Parameters

  njb | a pointer to the `njb_t` object to get the time from.

Returns
  a valid time stamp or NULL on failure.

Examples:
  dumptime.c, and settime.c.

References njb_struct::device_type, and NJB_DEVICE_NJB1.

## ◆ NJB_Set_Time()

int NJB_Set_Time | ( | njb_t * | njb,
|  | njb_time_t * | time
| ) |  |

This sets the current time stamp for the device. (Sets the on-board clock.)

Parameters

  njb | a pointer to the `njb_t` object to set the timestamp on.
  time | the new timestamp to use (time to set).

Returns
  0 on success, -1 on failure.

Examples:
  settime.c.

References njb_struct::device_type, and NJB_DEVICE_NJB1.